#! /usr/bin/env python
#
# 
#
# ver 1 - Feb 2018
#       - initial release
#

### Configuration parameters block
###AXIGEN_PYLIB_DIR="/opt/axigen/scripts/lib"
CLI_HOST="your-cli-host";
CLI_PORT=7000;
CLI_ADMIN_USER="admin";
CLI_ADMIN_PASS="your-admin-password";
### End of configuration parameters block

import sys
import os
import syslog
###sys.path.insert(0, AXIGEN_PYLIB_DIR)
import cli2

def logmsg(msg):
  if os.isatty(1):
    print msg;
  syslog.syslog(msg);

if len(sys.argv) < 2:
  print 'Usage: ' + os.path.basename(sys.argv[0]) + ' <Value to check for - in GB>'
  sys.exit(99)

if str(sys.argv[1]).find("%") == -1:

	level = int(sys.argv[1])*1024*1024

	try:
	  cli = cli2.CLI(CLI_HOST, CLI_PORT)

	  cli.auth(CLI_ADMIN_PASS, CLI_ADMIN_USER)
	
	  for d in cli.getDomainsList():
	    cli.update_domain(d)
	    for s in cli.get_show_storageinformation():
	      sName = s[0]
	      sLevel = int(s[5].replace('Kb',''))
#      sPer = s[6]
	      if sLevel <= level:
	        print 'domain %s storage %s alarm (%.1fGB )' % (d,sName,sLevel/1024.0/1024.0)
	    cli.back() 
	except:
	  import traceback
	  for line in traceback.format_exc().split(os.linesep):
	    logmsg('ERR>>> %s' % line)
	  sys.exit(1)
else:
        level = float(sys.argv[1].replace('%',''))
        try:
          cli = cli2.CLI(CLI_HOST, CLI_PORT)

          cli.auth(CLI_ADMIN_PASS, CLI_ADMIN_USER)

          for d in cli.getDomainsList():
            cli.update_domain(d)
            for s in cli.get_show_storageinformation():
              sName = s[0]
	      sTotal = float(s[3].replace('Kb',''))
              sLevel = float(s[5].replace('Kb',''))
#      sPer = s[6]
              p = sTotal/(sTotal + sLevel)
              if p >= level:
                print 'domain %s storage %s alarm (%.1fGB)  %.1f%%' % (d,sName,sLevel/1024.0/1024.0,p)
            cli.back() 
        except:
          import traceback
          for line in traceback.format_exc().split(os.linesep):
            logmsg('ERR>>> %s' % line)
          sys.exit(1)

